Skip to content

Retrieves all store's segments

GET
/api/v2.0/stores/{storeId}/segments
curl --request GET \
--url https://api.diller.app/api/v2.0/stores/your-store-id/segments \
--header 'Authorization: Bearer <token>'
storeId
required
string

The Id of the store

Example
your-store-id

OK

Media typeapplication/json
Array<object>
object
id
integer format: int32
text
string
nullable
type
required
string
Allowed values: Text DateTime Radio Checkbox Dropdown
is_visible_to_follower
boolean
is_required
boolean
options
Array<object>
nullable
object
id
integer format: int32
text
string
nullable
Example
[
{
"type": "Text"
}
]

Bad Request

Media typeapplication/json
object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable
errors
object
key
additional properties
Array<string>
key
additional properties
Examplegenerated
{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example",
"errors": {
"additionalProperty": [
"example"
]
}
}